메인 콘텐츠로 건너뛰기
POST
/
api
/
v1
/
causality-graph
curl -X POST "https://api.factagora.com/api/v1/causality-graph" \
  -H "Authorization: Bearer fag_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"url": "https://example.com/economic-analysis"}'
{
  "nodes": [
    { "id": "n1", "label": "Rising interest rates" },
    { "id": "n2", "label": "Lower consumer spending" },
    { "id": "n3", "label": "Reduced GDP growth" },
    { "id": "n4", "label": "Higher unemployment" }
  ],
  "edges": [
    { "from": "n1", "to": "n2", "label": "causes" },
    { "from": "n2", "to": "n3", "label": "leads to" },
    { "from": "n3", "to": "n4", "label": "leads to" }
  ],
  "meta": {
    "total_nodes": 4,
    "total_edges": 3,
    "executionTimeMs": 640
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.factagora.com/llms.txt

Use this file to discover all available pages before exploring further.

URL 또는 업로드된 파일(PDF, Markdown)에서 인과 관계를 분석합니다. 노드(개념/이벤트)와 방향성을 가진 간선(인과 관계)을 반환하여 원인-결과 체인을 시각화하는 데 사용할 수 있습니다.

엔드포인트

메서드경로입력
POST/api/v1/causality-graphurl을 포함한 JSON 본문
POST/api/v1/causality-graph/filefile을 포함한 multipart/form-data

POST /api/v1/causality-graph

요청 본문

url
string
필수
인과 관계를 추출할 페이지 또는 문서 URL.
curl -X POST "https://api.factagora.com/api/v1/causality-graph" \
  -H "Authorization: Bearer fag_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"url": "https://example.com/economic-analysis"}'

POST /api/v1/causality-graph/file

요청 본문 (multipart/form-data)

file
file
필수
인과 관계를 추출할 PDF 또는 Markdown 파일.
curl -X POST "https://api.factagora.com/api/v1/causality-graph/file" \
  -H "Authorization: Bearer fag_your_api_key" \
  -F "file=@analysis.pdf"

응답

nodes
array
그래프 내 개념 또는 이벤트 노드 목록입니다.
edges
array
노드 간 방향성을 가진 인과 관계 목록입니다.
meta
object
{
  "nodes": [
    { "id": "n1", "label": "Rising interest rates" },
    { "id": "n2", "label": "Lower consumer spending" },
    { "id": "n3", "label": "Reduced GDP growth" },
    { "id": "n4", "label": "Higher unemployment" }
  ],
  "edges": [
    { "from": "n1", "to": "n2", "label": "causes" },
    { "from": "n2", "to": "n3", "label": "leads to" },
    { "from": "n3", "to": "n4", "label": "leads to" }
  ],
  "meta": {
    "total_nodes": 4,
    "total_edges": 3,
    "executionTimeMs": 640
  }
}